
From: Hirokazu Takata <takata@linux-m32r.org>

I made a patch to fix a build error of m32r_cfc.c in 2.6.12-rc5-mm2 kernel.
This patch selects CONFIG_NONSTATIC for M32R PCMCIA/CF drivers.

Signed-off-by: Hirokazu Takata <takata@linux-m32r.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/pcmcia/Kconfig |    2 ++
 1 files changed, 2 insertions(+)

diff -puN drivers/pcmcia/Kconfig~m32r-update-m32r_cfc-to-support-mappi-iii-fix drivers/pcmcia/Kconfig
--- 25/drivers/pcmcia/Kconfig~m32r-update-m32r_cfc-to-support-mappi-iii-fix	Thu Jun  2 16:44:31 2005
+++ 25-akpm/drivers/pcmcia/Kconfig	Thu Jun  2 16:44:31 2005
@@ -171,12 +171,14 @@ config PCMCIA_PROBE
 config M32R_PCC
 	bool "M32R PCMCIA I/F"
 	depends on M32R && CHIP_M32700 && PCMCIA
+	select PCCARD_NONSTATIC
 	help
 	  Say Y here to use the M32R PCMCIA controller.
 
 config M32R_CFC
 	bool "M32R CF I/F Controller"
 	depends on M32R && (PLAT_USRV || PLAT_M32700UT || PLAT_MAPPI2 || PLAT_MAPPI3 || PLAT_OPSPUT)
+	select PCCARD_NONSTATIC
 	help
 	  Say Y here to use the M32R CompactFlash controller.
 
_
